/*
 * SettingsDialog.h
 *
 * (c) 2002 by Thorsten Scheuermann <tscheuermann@gmx.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include "SettingsDialogBase.h"
#include <qlist.h>

class ViewerSettings;
class Bookmark;

class SettingsDialog : protected SettingsDialogBase
{
  Q_OBJECT

public:
  SettingsDialog(QWidget *parent = 0, const char *name = 0);
  ~SettingsDialog();

  void initialize(ViewerSettings *s);
  void getSettings(ViewerSettings *s);

  int exec();

protected slots:
  void newBookmark();
  void deleteBookmark();
  void showBookmark(int i);
  void bmNameChanged(const QString& name);
  void bmDirChanged(const QString& dir);
  void bmStorageChanged(int s);

protected:
  QList<Bookmark> bmList;
  Bookmark *currBm;
};

#endif
